/*
 * Config.h
 *
 *  Created on: 10 сент. 2016 г.
 *      Author: alexandr
 */

#ifndef CONFIG_H_
#define CONFIG_H_

#include <stdint.h>


#define PRESETS_COUNT			5



struct LEDTime {
	int8_t minute;
	int8_t second;
};

struct Preset {
	uint16_t name[16];
	struct LEDTime time;
};

struct Config {
	uint8_t language;
	uint8_t cancel;
	struct LEDTime delay;
	struct Preset presets[PRESETS_COUNT];

};


#endif /* CONFIG_H_ */
