/*
 * Message.h
 *
 *  Created on: 10 сент. 2016 г.
 *      Author: alexandr
 */

#ifndef MESSAGE_H_
#define MESSAGE_H_

#include "Config.h"

enum MessageCodes {
	MSG_ENGINE,
	MSG_PRESET,
	MSG_TIME,
	MSG_LEDs,
	MSG_ON,
	MSG_OFF,
	MSG_SETTINGS,
	MSG_LANGUAGE,
	MSG_ENGLISH,
	MSG_RUSSIAN,
//	MSG_CANCEL,
//	MSG_ANY,
//	MSG_BUTTON,
	MSG_DELAY,
	MSG_SAVE,
	MSG_START
};


class Message {
public:
	Message();
	~Message();

	void getMessage(MessageCodes code, char *buffer, size_t size);
	size_t getMessageSize(MessageCodes code);
};

#endif /* MESSAGE_H_ */
