/*
 * Utils.cpp
 *
 *  Created on: 8 сент. 2016 г.
 *      Author: alexandr
 */

#include "Utils.h"


// Переделка Ардуиновской функции
void delayMicroseconds(unsigned int us)
{
	if (us <= 2) return;
	us <<= 1;
	us -= 4;
	__asm__ __volatile__ (
		"1: sbiw %0,1" "\n\t" // 2 cycles
		"brne 1b" : "=w" (us) : "0" (us) // 2 cycles
	);
}

void delayMilliseconds(unsigned int ms)
{
	while (ms) {
		delayMicroseconds(1000);
		ms--;
	}
}

