/*
 * Utils.h
 *
 *  Created on: 8 сент. 2016 г.
 *      Author: alexandr
 */

#ifndef UTILS_H_
#define UTILS_H_

#include <avr/interrupt.h>

#ifdef __cplusplus
extern "C" {
#endif

#define START_CS \
	uint8_t oldSREG = SREG; \
	cli();

#define END_CS	SREG = oldSREG;

void delayMicroseconds(unsigned int us);
void delayMilliseconds(unsigned int ms);

#ifdef __cplusplus
}
#endif

#endif /* UTILS_H_ */
